Subject: Re: mounts, ls, and filename completion
From: [email-masked] (J. J. Farrell)

13 Aug 1998 01:40:16 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked] (J. J. Farrell)
Content-Type: text
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]

> From: Earnie Boyd <[email-masked]>
> 
> ---Pete Jordan <[email-masked]> wrote:
> > 
> > You need to create a directory with the same name as the mount
> > /before/ mounting it. For example:
> > 
> > 	mkdir /foo
> > 	mount -b D:/ /foo
> 
> Only if your on UNIX and this ain't UNIX.  As a matter of fact, it is
> best _NOT_ to create the directory first as it only confuses you the
> user _AND_ cygwin32 the emulation filesystem.
> 
> Now if you were to do:
>       mkdir //d/foo
>       mount -b //d/foo /foo
> that would be perfectly acceptable and would not confuse you or
> cygwin32.

Now I'm thoroughly confused, on a couple of counts.

1) Why should Pete's version confuse the user and yours not? This
   user found Pete's version immediately easy and obvious to
   understand, but had to struggle for a while to understand yours.
   I suspect that what is confusing depends on your background.

2) You say that you should not create the directory before mounting
   on it as that confuses both the user and the software. By my
   reading, your version also creates the directory before mounting
   on it, but you say that won't confuse the software or the user.
   I take it that you don't really mean that creating the directory
   first will cause confusion, but I'd like to understand what you
   do mean - how and why will your version work but Pete's not?

Regards,
		jjf
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".